[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# CaptureBacktrace

Return stack trace

## Declaration

Source position: systemh.inc line 1403

`function CaptureBacktrace(`
`skipframes: SizeInt;`
`count: SizeInt;`
`frames: PCodePointer`
`):SizeInt;`

## Description

CaptureBacktrace will fill the array pointed to by frames with the addresses of a backtrace. It will skip skipframes frames, and will write at most count addresses. Frames must point to enough memory to hold the stacktrace, which is count*sizeof(codepointer) bytes.

## See also

Get_pc_addr |  | Get Program Counter address
get_caller_stackinfo |  | Return caller stack infomation
get_caller_addr |  | Return the address of the caller.
get_caller_frame |  | Return the frame pointer of the caller